import '@testing-library/jest-dom';
import React from 'react';
import { render, screen } from '@testing-library/react';
import Chatbot from './Chatbot';
describe('Chatbot', () => {
    it('should render Chatbot with default display mode', () => {
        render(React.createElement(Chatbot, null, "Chatbot Content"));
        expect(screen.getByText('Chatbot Content')).toBeTruthy();
    });
    it('should render Chatbot with custom ariaLabel', () => {
        render(React.createElement(Chatbot, { ariaLabel: "Chatbot" }, "Chatbot Content"));
        expect(screen.getByLabelText('Chatbot')).toBeTruthy();
    });
    it('should render Chatbot with custom className', () => {
        const { container } = render(React.createElement(Chatbot, { ariaLabel: "Chatbot", className: "custom-class" }, "Chatbot Content"));
        const chatbotElement = container.querySelector('.custom-class');
        expect(chatbotElement).toBeInTheDocument();
    });
    it('should not render Chatbot', () => {
        render(React.createElement(Chatbot, { isVisible: false }, "Chatbot Content"));
        expect(screen.queryByLabelText('Chatbot')).toBeFalsy();
    });
});
